# -*- coding: utf-8 -*-

# This file is part of Youba (Youpi back end)
# Copyright (C) 2011 AlphaK - http://www.alphak.net/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.




# When updating those parameters, please check they are interpreted correctly by Python !
# For instance, prefix the string with a 'r' if necessary

# Log file name, relative to program directory
LOG_FILE='youba.log'

# Log level, accepts [debug|info|warning|error|critical]
LOG_LEVEL='info'

# File name, relative to program directory, where bytes sent to the robot are dumped
DUMP_FILE='dump.log'

# Server local IP address, use 0.0.0.0 to listen on all local interfaces
SERVER_IP='0.0.0.0'

# Server listening port
SERVER_PORT=12080

# Parallel port - use I/O port number (ex: 0x378)
PARALLEL_PORT=0x378
